Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.portal.resolver.webdav
Enum DefaultWebdavContentHandler.LockScope

    java.lang.Object
      java.lang.Enum<DefaultWebdavContentHandler.LockScope>
          com.ibm.portal.resolver.webdav.DefaultWebdavContentHandler.LockScope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<DefaultWebdavContentHandler.LockScope>

Enclosing interface:
  DefaultWebdavContentHandler

    public static enum DefaultWebdavContentHandler.LockScope

extends java.lang.Enum<DefaultWebdavContentHandler.LockScope>

Identifies the scope of the lock

Enum Constant Summary
`EXCLUSIVE` refer to http://www.webdav.org/specs/rfc2518.html#rfc.section.6.1
`SHARED` refer to http://www.webdav.org/specs/rfc2518.html#rfc.section.6.1

Method Summary
`static DefaultWebdavContentHandler.LockScope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static DefaultWebdavContentHandler.LockScope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EXCLUSIVE

    public static final DefaultWebdavContentHandler.LockScope EXCLUSIVE

  refer to http://www.webdav.org/specs/rfc2518.html#rfc.section.6.1

### SHARED

    public static final DefaultWebdavContentHandler.LockScope SHARED

  refer to http://www.webdav.org/specs/rfc2518.html#rfc.section.6.1

Method Detail

### values

    public static DefaultWebdavContentHandler.LockScope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (DefaultWebdavContentHandler.LockScope c : DefaultWebdavContentHandler.LockScope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static DefaultWebdavContentHandler.LockScope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD